# 0.1.0-SNAPSHOT

Fourth snapshot release of RainbowCake.

## Update steps:

Update your dependency version:

```groovy
implementation 'co.zsmb:rainbow-cake:0.1.1-SNAPSHOT'
```

## What's new:

### Even more new argument handling methods

New methods have been added to support Fragment arguments with `Int` and `Serializable` types. Note that the latter of these still isn't a recommendation to pass around large objects as arguments, it's only meant to serve as a way to pass around some small objects like `java.util.UUID` easier, without having to convert it to a `String` and back. 

These, again, conform to the naming convention of existing argument handling methods, and you can see them all [here](https://gitlab.autsoft.hu/AutSoft/AndroidChapter/rainbow-cake/rainbow-cake/blob/6f23bfc345e3939b4b4303f9d42022e1c7c925b5/rainbow-cake/src/main/java/hu/autsoft/rainbowcake/extensions/Bundle.kt).

All of these `Bundle` methods are also now documented and [tested](https://gitlab.autsoft.hu/AutSoft/AndroidChapter/rainbow-cake/rainbow-cake/blob/6f23bfc345e3939b4b4303f9d42022e1c7c925b5/rainbow-cake/src/androidTest/java/hu/autsoft/rainbowcake/extensions/BundleTest.kt) according to their documented behaviour. (Their internal implementation has also been unified to simplify them and make them safer.)

### A new Navigator convenience method

The `Navigator` interface now has a [`setStack(Iterable<Fragment>)`](https://gitlab.autsoft.hu/AutSoft/AndroidChapter/rainbow-cake/rainbow-cake/blob/6f23bfc345e3939b4b4303f9d42022e1c7c925b5/rainbow-cake/src/main/java/hu/autsoft/rainbowcake/navigation/Navigator.kt#L89) method to complement the existing `setStack(vararg Fragment)` method, and avoid having to convert `List`s and other iterables to arrays. 

#### Version updates: 

- Kotlin 1.3.20
